<?php

namespace App\Entities\Logsys;

class Logsys {
	protected $id;
	protected $data;
	protected $hora;
	protected $id_usuario;
	protected $http_verb;
	protected $controller;
	protected $endpoint;
	protected $observacao;
	/**
	 * @return mixed
	 */
	public function getId() {

		return $this->id;
	}

	/**
	 * @return mixed
	 */
	public function getData() {

		return $this->data;
	}

	/**
	 * @return mixed
	 */
	public function getHora() {

		return $this->hora;
	}

	/**
	 * @return mixed
	 */
	public function getId_usuario() {

		return $this->id_usuario;
	}

	/**
	 * @return mixed
	 */
	public function getHttp_verb() {

		return $this->http_verb;
	}

	/**
	 * @return mixed
	 */
	public function getController() {

		return $this->controller;
	}

	/**
	 * @return mixed
	 */
	public function getEndpoint() {

		return $this->endpoint;
	}

	/**
	 * @return mixed
	 */
	public function getObservacao() {

		return $this->observacao;
	}

	/**
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;
	}

	/**
	 * @param mixed $data
	 */
	public function setData($data) {

		$this->data = $data;
	}

	/**
	 * @param mixed $hora
	 */
	public function setHora($hora) {

		$this->hora = $hora;
	}

	/**
	 * @param mixed $id_usuario
	 */
	public function setId_usuario($id_usuario) {

		$this->id_usuario = $id_usuario;
	}

	/**
	 * @param mixed $http_verb
	 */
	public function setHttp_verb($http_verb) {

		$this->http_verb = $http_verb;
	}

	/**
	 * @param mixed $controller
	 */
	public function setController($controller) {

		$this->controller = $controller;
	}

	/**
	 * @param mixed $endpoint
	 */
	public function setEndpoint($endpoint) {

		$this->endpoint = $endpoint;
	}

	/**
	 * @param mixed $observacao
	 */
	public function setObservacao($observacao) {

		$this->observacao = $observacao;
	}

	
	
	
}

